#/bin/bash

# This script rebuilds the files rgw_msg_*.c.
# It should be called when the radius-types file is updated with
# cd rsc && wget http://www.iana.org/assignments/radius-types

if [ ! -f rsc/radius-types ];
then echo "Missing file radius-types, please get a fresh copy first.";
exit 2;
fi



echo "Rebuilding rgw_msg_codes.c..."

if [ -f rgw_msg_codes.c ];
then mv -f rgw_msg_codes.c rgw_msg_codes.c.bak;
fi

# Not too sure how to rebuid rsc/radius-types-codes from radius-types, skipping...
echo "WARNING: rsc/radius-types-codes has not been rebuilt"

# Regenerate the file
echo "/*  Name of RADIUS command from its command code */" 	> rgw_msg_codes.c
echo "const char * rgw_msg_code_str(unsigned char c) {"		>>rgw_msg_codes.c
awk -f rsc/register-parse.awk rsc/radius-types-codes 		>>rgw_msg_codes.c
echo "	/* fallback */ return \"[Unknown]\";"			>>rgw_msg_codes.c
echo "}"							>>rgw_msg_codes.c



echo "Rebuilding rgw_msg_attrtype.c..."

if [ -f rgw_msg_attrtype.c ];
then mv -f rgw_msg_attrtype.c rgw_msg_attrtype.c.bak;
fi

# Same problem...
echo "WARNING: rsc/radius-types-attrtypes has not been rebuilt"

echo "/*  Name of RADIUS attribute from its code */"	 	> rgw_msg_attrtype.c
echo "const char * rgw_msg_attrtype_str(unsigned char c) {"	>>rgw_msg_attrtype.c
awk -f rsc/register-parse.awk rsc/radius-types-attrtypes	>>rgw_msg_attrtype.c
echo "	/* fallback */ return \"[Unknown]\";"			>>rgw_msg_attrtype.c
echo "}"							>>rgw_msg_attrtype.c



echo "done."
